PDA

View Full Version : Hi, Wanna start playing 1946 again - recommend me a patch/mod path?



wolfman71971
11-01-2012, 06:29 PM
I don't wish to boast but I think my system would handle anything 1946 + mods could throw at it, 25OOK, Sapphire 2GB 7850, 8 GB RAM, W7. So with that out the way, where would I begin with patches and the best mods?

ClOD's endless issues it seems puts me off even beginning with that although I did buy it on release, what a debacle that was...but I digress.

I'm not that au fait with fiddling around too much altering files etc, but i'm interested in longish campaigns flying more or less anything, in any theater of WW2.

My area of WW2 historical interest would be Operation Barbarossa, but also would like air war over Germany 1942-45, and Battle of Britain, though to be honest, I'd probably enjoy almost anything. Also I think I have a decent system so would like to improve the look of 1946 et al, as much as possible

Thanks.

Wolfman.

Bearcat99
11-01-2012, 09:49 PM
Gert 46 patch it to 4.09. Copy that and put it aside.. then patch the 4.09 to 4.11.1. Copy that and put it aside .. You should now have 3 copies of 46.. a 4.09m and two 4.11.1s. Place the copied 4.09 & 4.11.1 into a different folder.. preferably on another drive. The the working 4.11.1 and use that to install HSFX 6.0. The reason why I told you to copy 4.09 is so that if you want to try it you will have a working copy upon which to install UP or DBW since they are not compatible with 4.11.1 while HSFX is. I prefer HSFX and stock 4.11.1 myself.. I think it is great.. but by following those instructions you will at least be able to chose what you like best. Regardless to what you chose I highly recommend that you keep a backup of the stock version in case your working mod copy crashes or just keep a copy of your modded version. Most servers on HL are now running HSFX but there are some UP guys out there and from what I hear DBW (Dark Blue World) is better suited for offline play. Go to M4T to get more info on what you need for all of these.

wolfman71971
11-02-2012, 01:50 PM
Gert 46 patch it to 4.09. Copy that and put it aside.. then patch the 4.09 to 4.11.1. Copy that and put it aside .. You should now have 3 copies of 46.. a 4.09m and two 4.11.1s. Place the copied 4.09 & 4.11.1 into a different folder.. preferably on another drive. The the working 4.11.1 and use that to install HSFX 6.0. The reason why I told you to copy 4.09 is so that if you want to try it you will have a working copy upon which to install UP or DBW since they are not compatible with 4.11.1 while HSFX is. I prefer HSFX and stock 4.11.1 myself.. I think it is great.. but by following those instructions you will at least be able to chose what you like best. Regardless to what you chose I highly recommend that you keep a backup of the stock version in case your working mod copy crashes or just keep a copy of your modded version. Most servers on HL are now running HSFX but there are some UP guys out there and from what I hear DBW (Dark Blue World) is better suited for offline play. Go to M4T to get more info on what you need for all of these.


Hmmm, not sure how this is going to work. How am I going to install the same game 3 times?

What is HSFX 6.0?

What is UP?

What is HL?

I do have an SSD and storage drive.

Bearcat99
11-02-2012, 10:20 PM
Hmmm, not sure how this is going to work. How am I going to install the same game 3 times?.. I do have an SSD and storage drive.

I never said install it 3 times. IL2 does not make registry entries so technically you can have several versions on your PC.. that wouldn't make much sense outside of backups or different mod versons but you can do it.. . So basically you are installing the original. Patch the original to 4.09. Create a folder, name it 4.10 and then copy and paste what you just patched into that folder. After you finish copying and pasting that 4.10 .. continue to patch the install to 4.11 and then create a folder, name it 4.11 stock and copy that 4.11 to the folder named 4.11. The reason for this is so that you will always have a stock version that you can use as a back up should your primary drive crash, this way you will not have to reinstall and patch all over again. I have three installations of this sim on my rig. A backup 4.11 stock, incase my HSFX install gets corrupted and I have to reinstall from scratch, a back up of my modded install , and my working install. If I had UP on my rig I would also have the appropriate backups.. The reason why you make a backup of 4.10 and 4.11 stock is that two of the mod packs only install over 4.10.. they are not compatible with 4.11.. the other one is. See below.


What is HSFX 6.0?
History FX mod pack: HSFX is compatible with 4.11 and it's developers are working in conjunction with Team Diadalos who now makes the official patches for the sim. As a new patch comes out HSFX will also update their mod pack. This is one reason many have chosen to go with HSFX over the other mod packs.


What is UP?
Ultra Pack Mod Pack: It is another mod pack that is available for download.. However Ultra Pack is only compatible up to IL2 1946 4.10.

Not asked but.. DBW: Dark Blue World is the third mod pack. Like Ultra Pack it is not compatible with 4.11.it is primarily used offline. Both UP and DBW are decent mod packs .. however as I have said .. I prefer HSFX for several reasons.


What is HL?
Hyperlobby .. Hyperlobby is the place where most of us go to fly online.

Hit the Nugget's Guide in my sig for more info.

wolfman71971
11-03-2012, 05:31 PM
I have decided to keep things simple, and to see if I can get HSFX 6.0 working properly first.

I have installed the original, and I'm downloading 409M, 410 and 4.11.

However, This says I need 4.11.1 with HSFX 6.0

http://www.242sqn.com/phpBB2/viewtopic.php?t=3179



Also when I installed 46, It would not fill the screen I ended up with a box in the middle despite seting the res to max and full screen

I have a 24" monitor.

Tully__
11-03-2012, 07:45 PM
The menu screen will always be 4:3 aspect ratio. If you want the main mission screen to fill the screen on a widescreen monitor, see http://forums.ubi.com/showthread.php/504311-How-to-get-IL246-running-in-widescreen

You don't need 4.11.1 for HSFX6 but there's a few minor bugfixes in it that you should have, 4.11.1 is available at Mission4Today: http://www.mission4today.com/index.php?name=Knowledge_Base&op=show&kid=584

wolfman71971
11-03-2012, 09:19 PM
The menu screen will always be 4:3 aspect ratio. If you want the main mission screen to fill the screen on a widescreen monitor, see http://forums.ubi.com/showthread.php/504311-How-to-get-IL246-running-in-widescreen

You don't need 4.11.1 for HSFX6 but there's a few minor bugfixes in it that you should have, 4.11.1 is available at Mission4Today: http://www.mission4today.com/index.php?name=Knowledge_Base&op=show&kid=584


Ok, will I need to patch 4.11 or just go straight to 4.11.1?

Ba5tard5word
11-03-2012, 11:44 PM
I would recommend HSFX 6, I just installed it myself after being out of the loop for a really long time. Mainly because it's the only mod pack compatible with 4.11 right now, which has the nice new AI improvements, which make the AI way less annoying (though they're very cunning now and will relentlessly try to get into a scissors fight...but at least they don't barrel roll forever when you get behind them...). As far as I can tell HSFX has pretty much all the things I used to like about UP, like nice shiny new ground terrain and nice looking planes, and several cool mod planes that aren't in the stock game.

UP 2 was cool back in the day because it had a very good AI mod, but they left it out in UP 3 (not their fault, the mod wasn't compatible with 4.10 and the guy who made the mod never updated it) and so the AI is a pain in the neck to fight against because of those annoying barrel rolls. Same issue with DBW which is supposed to be totally centered around good offline play, but I guess they haven't gotten it updated to work with 4.11 so it still has the crappy AI, which makes playing offline a lot worse. I think they were working on their own AI mod but what they really need to do is just get DBW compatible with 4.11. So for now HSFX 6 is really the place to be, like I say it seems to have all the good stuff from UP and DBW, and works with 4.11 so it has good AI.

I don't like how 4.11 makes your planes overheat really fast (I wouldn't mind except that the AI is still able to buzz around forever at top speed) but you can turn overheating off in the difficulty settings.

Tully__
11-04-2012, 01:33 AM
Ok, will I need to patch 4.11 or just go straight to 4.11.1?
According to the patch sequence guide at M4T, 4.11 then 4.11.1

wolfman71971
11-04-2012, 05:25 PM
I would recommend HSFX 6, I just installed it myself after being out of the loop for a really long time. Mainly because it's the only mod pack compatible with 4.11 right now, which has the nice new AI improvements, which make the AI way less annoying (though they're very cunning now and will relentlessly try to get into a scissors fight...but at least they don't barrel roll forever when you get behind them...). As far as I can tell HSFX has pretty much all the things I used to like about UP, like nice shiny new ground terrain and nice looking planes, and several cool mod planes that aren't in the stock game.

UP 2 was cool back in the day because it had a very good AI mod, but they left it out in UP 3 (not their fault, the mod wasn't compatible with 4.10 and the guy who made the mod never updated it) and so the AI is a pain in the neck to fight against because of those annoying barrel rolls. Same issue with DBW which is supposed to be totally centered around good offline play, but I guess they haven't gotten it updated to work with 4.11 so it still has the crappy AI, which makes playing offline a lot worse. I think they were working on their own AI mod but what they really need to do is just get DBW compatible with 4.11. So for now HSFX 6 is really the place to be, like I say it seems to have all the good stuff from UP and DBW, and works with 4.11 so it has good AI.

I don't like how 4.11 makes your planes overheat really fast (I wouldn't mind except that the AI is still able to buzz around forever at top speed) but you can turn overheating off in the difficulty settings.



Hi i'm mostly interested in offline play, does HSFX 6.0 have online campaigns?

At the moment i'm just 'setting up' mods etc as I don't have a stick right now, but I want things up and running for when I do.


In fact, I'm open to recommendations for a new stick too. So to anyone reading this thread, I'd be grateful for your input on a stick, budget would be 100 ish at most.

Bearcat99
11-05-2012, 12:35 AM
They all have offline campaigns.. just go to M4T to DL some user made ones.. I hear that widescreen support will e in 4.12.

kochj553
11-27-2012, 06:54 AM
I looked for the 1946 website, and this is it???

Were can I find these mods for the 1946, as it used to be here...

If you could help me out, it would be most appreciated...

Tully__
11-27-2012, 02:06 PM
We don't allow links for mods from here, but the two most popular "all-in-one" packs seem to be UP3RC4 or HSFX6. Google will find both.

Bearcat99
12-03-2012, 12:55 AM
I looked for the 1946 website, and this is it???
Were can I find these mods for the 1946, as it used to be here...
If you could help me out, it would be most appreciated...

You are thinking of the old site (http://il2-sturmovik.de.ubi.com/en/home.php?skin=S2) . This site is actually the same site but for some reason UBI decided to merge everything into this grotesque monstrosity that is like a scarecrow to all but the most die hard IL2 fols. What can you do.

Like Tull said .. links to mods have never been posted here but Google is your friend.

wolfman71971
12-18-2012, 04:16 PM
HSFX 6.0 did not work

Screen goes black for a couple of seconds then back to desktop.

What's wrong?

My install list 46 > 4.09M>4.11.1>hsfx 6.0

Please, don't confuse me with other mods, just give me the accurate install procedure in order. Have since found out 409m only installs over 408 which you did not mention. Please give me the correct install order.

Thank you.

Tully__
12-19-2012, 10:39 AM
http://www.mission4today.com/index.php?name=Knowledge_Base&op=show&kid=584 gives the correct order for the official patches starting from a good version 4.07. IL2:1946 is at 4.07 or later out of the box.
For HSFX instructions, you'll need to ask at the forum on the site where it originated. We don't provide support or links for mods here as they were not officially sanctioned by the publishers/developers.

wolfman71971
12-19-2012, 03:48 PM
http://www.mission4today.com/index.php?name=Knowledge_Base&op=show&kid=584 gives the correct order for the official patches starting from a good version 4.07. IL2:1946 is at 4.07 or later out of the box.
For HSFX instructions, you'll need to ask at the forum on the site where it originated. We don't provide support or links for mods here as they were not officially sanctioned by the publishers/developers.


What do you mean by a 'good' version'?

You don't provide support or links for mods?

I was put onto HSFX 6.0 on this very forum...

The problem is the installation path offered was not correct.

Tully__
12-20-2012, 10:49 AM
What do you mean by a 'good' version'?
One that hasn't had patches applied in the wrong order, missing patches or a corrupt patch. Recommended procedure is start with whatever version comes out of the box installation, start a quick mission to confirm for correct installation, then apply patch, start quick mission, apply next patch, start quick mission, etc... until patching is up to the required version.


You don't provide support or links for mods?

I was put onto HSFX 6.0 on this very forum...

The problem is the installation path offered was not correct.
No support or links. There's no rule against discussing the content or mentioning specific mods or mod packs, but we don't allow instructions, support or links to sites that they originate at. You'll have to go to the sites where the mods are provided for support.

wolfman71971
12-20-2012, 02:50 PM
One that hasn't had patches applied in the wrong order, missing patches or a corrupt patch. Recommended procedure is start with whatever version comes out of the box installation, start a quick mission to confirm for correct installation, then apply patch, start quick mission, apply next patch, start quick mission, etc... until patching is up to the required version.


No support or links. There's no rule against discussing the content or mentioning specific mods or mod packs, but we don't allow instructions, support or links to sites that they originate at. You'll have to go to the sites where the mods are provided for support.


LOL!!!

Applied the patches as directed, and it crashes to DT on 4.11.1

What a joke.

Bearcat99
12-23-2012, 08:16 PM
LOL!!!

Applied the patches as directed, and it crashes to DT on 4.11.1

What a joke.

First off you need to slow your roll there bub .. no need to start getting antsy with folks who are trying to help you.. Second ..

Check your PMs.

pugo3
12-29-2012, 12:10 AM
http://www.mission4today.com/index.php?name=Knowledge_Base&op=show&kid=584 gives the correct order for the official patches starting from a good version 4.07. IL2:1946 is at 4.07 or later out of the box....


Hello Tully, or whomever can reply,

I originally upgraded straight from 4.07 to 4.10.1 using the 4.10.1 Mega patch. Is the mega patch ok to use rather than using each individual patch to get up to 4.10.1, or are there problems associated with that patch? Sure would like to save the steps.

Thanks,

p3

FoolTrottel
12-30-2012, 02:24 PM
Applying the Megapatch will work fine.
(The only thing that can go wrong with it is a failed download...)